Subject: [6lowpan] about header compression

From: amy wang <[email-masked]>
Date: Sun, 9 Jan 2011 22:08:47 +0800

hi,

I try to compress IPv6 extension headers according to
"draft-ietf-6lowpan-hc". But I can not find what's wrong. I always get the
following  compressed ext (part  of data of serial received ):

    e0(encoding) 3b(nxt_hdr) 0a(len) e0(??) 0a(Type) 08(len) 59 b7 ff 00 00
64 f0 ec

 why there is one more byte  e0?

So, the unpack will get wrong:
   msg after unpackheaders.
  nxthdr: 0x0 hlim: 0x41 plen: 11
  src: 0x20 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x1
  dst: 0xff 0x5 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x1
header [10]: 0x3b 0xa 0xe0 0xa 0x8 0x59 0xb7 0xff 0x0 0x0
data [1]:
    0x64

I am really confused about this.

pls give me some help, if you have any idea.

thanks a lot
 amy
-- 
王慧芹
东南大学
计算机网络与信息集成重点实验室
13851467425
[email-masked]